LibreOffice: AccessibleTableModelChange Struct Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
AccessibleTableModelChange Struct Reference

This structure lets an event give access to a change of a table model. More...

`import"AccessibleTableModelChange.idl";`

## Public Attributes
short | Type
| The type of the event as defined in AccessibleTableModelChangeType. More...
long | FirstRow
| The lowest index of a row that has changed. More...
long | LastRow
| The highest index of a row that has changed. More...
long | FirstColumn
| The lowest index of a column that has changed. More...
long | LastColumn
| The highest index of a column that has changed. More...

## Detailed Description

This structure lets an event give access to a change of a table model.

The data members of the AccessibleTableModelChange structure give access to the type and cell range of a change of a table model. See AccessibleTableModelChangeType for details of the change type. The range of the affected rows, columns, and/or cells can be obtained by accessing the other four data members.

Since
  OOo 1.1.2

## Member Data Documentation

long FirstColumn

The lowest index of a column that has changed.

The first column that has been changed or contains modified cells.

long FirstRow

The lowest index of a row that has changed.

The first row that has been changed or that contains modified cells.

long LastColumn

The highest index of a column that has changed.

The last column that has been changed or contains modified cells.

long LastRow

The highest index of a row that has changed.

The last row that has been changed or that contains modified cells.

short Type

The type of the event as defined in AccessibleTableModelChangeType.

The model change either inserted or deleted one or more rows and/or columns or modified the content of a number of cells. See AccessibleTableModelChangeType for details of the type of the model change.

The documentation for this struct was generated from the following file:

- com/sun/star/accessibility/AccessibleTableModelChange.idl